import request from "@/utils/request"

/** 供应商结算 — 分页列表 */
export function listSupplierSettlement(query) {
  return request({
    url: "/tradeMarket/supplierSettlement/list",
    method: "get",
    params: query
  })
}

/** 详情 */
export function getSupplierSettlement(id) {
  return request({
    url: "/tradeMarket/supplierSettlement/" + id,
    method: "get"
  })
}

/** 完成结算 */
export function completeSupplierSettlement(data) {
  return request({
    url: "/tradeMarket/supplierSettlement/completeSettle",
    method: "put",
    data
  })
}
